# CompositePositionProperty

#### new Cesium.CompositePositionProperty(referenceFrame)
DataSources/CompositePositionProperty.js 29

A `CompositeProperty` which is also a `PositionProperty`.

Name | Type | Default | Description
--- | --- | --- | ---
`referenceFrame` | ReferenceFrame | `ReferenceFrame.FIXED` | optional The reference frame in which the position is defined.

### Members

#### readonlydefinitionChanged : Event
DataSources/CompositePositionProperty.js 59

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value.

#### intervals : TimeIntervalCollection
DataSources/CompositePositionProperty.js 70

Gets the interval collection.

#### readonlyisConstant : Boolean
DataSources/CompositePositionProperty.js 45

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### referenceFrame : ReferenceFrame
DataSources/CompositePositionProperty.js 84

Gets or sets the reference frame which this position presents itself as. Each PositionProperty making up this object has it's own reference frame, so this property merely exposes a "preferred" reference frame for clients to use.

### Methods

#### equals(other) → Boolean
DataSources/CompositePositionProperty.js 137

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/CompositePositionProperty.js 101

Gets the value of the property at the provided time in the fixed frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### getValueInReferenceFrame(time, referenceFrame, result) → Cartesian3
DataSources/CompositePositionProperty.js 113

Gets the value of the property at the provided time and in the provided reference frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`referenceFrame` | ReferenceFrame | The desired referenceFrame of the result.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.